import * as i0 from '@angular/core';
import { Directive, HostBinding, Component, ViewChild, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i2 from '@mintplayer/ng-swiper/observe-size';
import { BsObserveSizeDirective } from '@mintplayer/ng-swiper/observe-size';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';

class BsStickyFooterParentDirective {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterParentDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.0.3", type: BsStickyFooterParentDirective, isStandalone: false, selector: "[bsStickyFooterParent]", host: { properties: { "style.margin-bottom.px": "this.marginBottom" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterParentDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsStickyFooterParent]',
                    standalone: false,
                }]
        }], propDecorators: { marginBottom: [{
                type: HostBinding,
                args: ['style.margin-bottom.px']
            }] } });

class BsStickyFooterComponent {
    constructor(parent, destroy) {
        this.parent = parent;
        this.destroy = destroy;
    }
    ngAfterViewInit() {
        if (this.sizeObserver.height$) {
            this.sizeObserver.height$
                .pipe(takeUntilDestroyed(this.destroy))
                .subscribe(height => this.parent.marginBottom = height);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterComponent, deps: [{ token: BsStickyFooterParentDirective }, { token: i0.DestroyRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.3", type: BsStickyFooterComponent, isStandalone: false, selector: "bs-sticky-footer", viewQueries: [{ propertyName: "sizeObserver", first: true, predicate: ["sizeObserver"], descendants: true }], ngImport: i0, template: "<footer bsObserveSize #sizeObserver=\"bsObserveSize\" class=\"footer position-absolute\">\n    <ng-content></ng-content>\n</footer>", styles: [".footer{bottom:0;left:0;right:0}::ng-deep html{position:relative;min-height:100%}\n"], dependencies: [{ kind: "directive", type: i2.BsObserveSizeDirective, selector: "[bsObserveSize]", exportAs: ["bsObserveSize"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-sticky-footer', standalone: false, template: "<footer bsObserveSize #sizeObserver=\"bsObserveSize\" class=\"footer position-absolute\">\n    <ng-content></ng-content>\n</footer>", styles: [".footer{bottom:0;left:0;right:0}::ng-deep html{position:relative;min-height:100%}\n"] }]
        }], ctorParameters: () => [{ type: BsStickyFooterParentDirective }, { type: i0.DestroyRef }], propDecorators: { sizeObserver: [{
                type: ViewChild,
                args: ['sizeObserver']
            }] } });

class BsStickyFooterModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterModule, declarations: [BsStickyFooterComponent, BsStickyFooterParentDirective], imports: [CommonModule, BsObserveSizeDirective], exports: [BsStickyFooterComponent, BsStickyFooterParentDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.3", ngImport: i0, type: BsStickyFooterModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsStickyFooterComponent, BsStickyFooterParentDirective],
                    imports: [CommonModule, BsObserveSizeDirective],
                    exports: [BsStickyFooterComponent, BsStickyFooterParentDirective],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BsStickyFooterComponent, BsStickyFooterModule, BsStickyFooterParentDirective };
//# sourceMappingURL=mintplayer-ng-bootstrap-sticky-footer.mjs.map
